# DataExchange
TKIGES
IGESSolid

# IGESSolid_HArray1OfFace Class Reference

`#include <IGESSolid_HArray1OfFace.hxx>`

## Public Member Functions

Standard_EXPORT | IGESSolid_HArray1OfFace (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESSolid_HArray1OfFace (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESSolid_Face)&V)
Standard_EXPORT void | Init (const Handle(IGESSolid_Face)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESSolid_Face)&Value)
const Handle_IGESSolid_Face & | Value (const Standard_Integer Index) const
Handle_IGESSolid_Face & | ChangeValue (const Standard_Integer Index)
const IGESSolid_Array1OfFace & | Array1 () const
IGESSolid_Array1OfFace & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESSolid_Array1OfFace | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_HArray1OfFace::IGESSolid_HArray1OfFace | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESSolid_HArray1OfFace::IGESSolid_HArray1OfFace | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESSolid_Face)& | V
| ) |

## Member Function Documentation

const IGESSolid_Array1OfFace& IGESSolid_HArray1OfFace::Array1 | ( |  | ) | const

IGESSolid_Array1OfFace& IGESSolid_HArray1OfFace::ChangeArray1 | ( |  | ) |

Handle_IGESSolid_Face& IGESSolid_HArray1OfFace::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESSolid_HArray1OfFace::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESSolid_HArray1OfFace::Init | ( | const Handle(IGESSolid_Face)& | V | ) |

Standard_Integer IGESSolid_HArray1OfFace::Length | ( |  | ) | const

Standard_Integer IGESSolid_HArray1OfFace::Lower | ( |  | ) | const

void IGESSolid_HArray1OfFace::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESSolid_Face)& | Value
| ) |

Standard_Integer IGESSolid_HArray1OfFace::Upper | ( |  | ) | const

const Handle_IGESSolid_Face& IGESSolid_HArray1OfFace::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESSolid_Array1OfFace IGESSolid_HArray1OfFace::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_HArray1OfFace.hxx